import urllib, urllib.request as urllib2, sys
import ssl
try:
    from urllib import urlencode,error
    from urllib2 import Request, urlopen,error
except ImportError:
    from urllib import error
    from urllib.parse import urlencode
    from urllib.request import Request, urlopen
host = 'https://jisujizhan.market.alicloudapi.com'
path = '/cell/query'
method = 'ANY'
APPCODE = 'xxxx'
'''
名称	        类型	        是否必须	        描述
cellid	    STRING	    必选	        （移动、联通、电信填写）基站号 电信对应bid
lac	        STRING	    可选	        （移动、联通填写）小区号
mnc	        STRING	    可选	        （移动、联通填写）移动网络代号 移动0 联通1
nid	        STRING	    可选	        （电信填写）网络识别码，每个地级市可能有1-3个
sid     	STRING  	可选	        （电信填写）系统识别码，每个地级市只有一个
'''
querys = 'cellid=27908&lac=1043&mnc=0&nid=1&sid=1'
bodys = {}
url = host + path + '?' + querys


request = urllib2.Request(url)
request.add_header('Authorization', 'APPCODE ' + APPCODE)
#//根据API的要求，定义相对应的Content-Type
request.add_header('Content-Type', 'application/json; charset=UTF-8')
ctx = ssl.create_default_context()
ctx.check_hostname = False
ctx.verify_mode = ssl.CERT_NONE
try:
    response = urlopen(request, context=ctx)
    print(response.status)
    content = response.read()
    if content:
        print(content.decode('utf-8'))
except error.HTTPError as err:
    print(err.code,err.reason,err.headers, err.read().decode(encoding='utf-8').decode(encoding='utf-8'))
except error.URLError as err:
    print('===', err.reason)